import { QTable } from 'quasar';
import { QInput } from 'quasar';
import setDefault from './setDefault';
import { QSelect } from 'quasar';

setDefault(QTable, 'pagination', { rowsPerPage: 0 });
setDefault(QTable, 'hidePagination', true);
QInput.props.outlined = {
    type: QInput.props.outlined,
    default: false,
};
QInput.props.dense = {
    type: QInput.props.dense,
    default: false,
};
QInput.props.stackLabel = {
    type: QInput.props.stackLabel,
    default: true,
};
QSelect.props.optionLabel = {
    type: QSelect.props.optionLabel,
    default: 'name',
};
QSelect.props.optionValue = {
    type: QSelect.props.optionValue,
    default: 'id',
};
QInput.props.hideBottomSpace = {
    type: QInput.props.hideBottomSpace,
    default: true,
};
QTable.props.columns = {
    type: QTable.props.columns,
    align: 'right',
    format: (value) => `${value}*`,
};
QTable.props.noDataLabel = {
    default: 'asd',
};

setDefault(QInput, 'outlined', false);
// setDefault(QTable, "noDataLabel", t('globalfs.noResults'));
setDefault(QTable, 'gridHeader', true);
setDefault(QTable, 'color', 'red-8');
setDefault(QTable, 'pagination', { rowsPerPage: 25 });
setDefault(QTable, 'rowKey', 'id');
// setDefault(QTable, 'columns', (data) => {
//     console.log(this);
// });
// setDefault(QSelect, 'optionValue', 'id');
// setDefault(QSelect, 'optionLabel', 'name');
